package com.crm.rely.backend.core.pojo.table;

import com.crm.rely.backend.core.pojo.BaseTable;
import lombok.Data;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * 销售绩效表
 */
@Data
@Entity
@Table(name = "sales_performance_info")
public class SalesPerformanceInfoTable extends BaseTable {

    private Integer salesType;

    private Long salesId;

    private String salesName;

    private String salesNo;

    private String stamp;
    /**
     * 月度净入金
     */
    private Float pureDeposit;

    private Float pureDepositGoal;
    /**
     * 月度毛入金
     */
    private Float totalDeposit;

    private Float totalDepositGoal;
    /**
     * 月度团队净入金
     */
    private Float teamPureDeposit;

    private Float teamPureDepositGoal;
    /**
     * 月度团队毛入金
     */
    private Float teamTotalDeposit;

    private Float teamTotalDepositGoal;
    /**
     * 月度团队新增代理数
     */
    private Integer freshAgentAmount;

    private Integer freshAgentAmountGoal;
    /**
     * 月度团队新增直客数
     */
    private Integer freshCustomAmount;

    private Integer freshCustomAmountGoal;
    /**
     * 报告时间
     */
    private Date reportDate;

    public static SalesPerformanceInfoTable getInstance() {
        SalesPerformanceInfoTable table = new SalesPerformanceInfoTable();
        table.setPureDeposit(0F);
        table.setTotalDeposit(0F);
        table.setTeamPureDeposit(0F);
        table.setTeamTotalDeposit(0F);
        table.setFreshAgentAmount(0);
        table.setFreshCustomAmount(0);

        table.setPureDepositGoal(0F);
        table.setTotalDepositGoal(0F);
        table.setTeamPureDepositGoal(0F);
        table.setTeamTotalDepositGoal(0F);
        table.setFreshAgentAmountGoal(0);
        table.setFreshCustomAmountGoal(0);
        return table;
    }
}
